# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/power/supply/sc2731-charger.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Spreadtrum SC2731 PMICs battery charger binding

maintainers:
  - Sebastian Reichel <sre@kernel.org>

allOf:
  - $ref: power-supply.yaml#

properties:
  compatible:
    const: sprd,sc2731-charger

  reg:
    maxItems: 1

  phys:
    maxItems: 1
    description: phandle to the USB phy

  monitored-battery:
    description: |
      The charger uses the following battery properties
      - charge-term-current-microamp: current for charge termination phase.
      - constant-charge-voltage-max-microvolt: maximum constant input voltage.
      See Documentation/devicetree/bindings/power/supply/battery.yaml

additionalProperties: false

examples:
  - |
    bat: battery {
      compatible = "simple-battery";
      charge-term-current-microamp = <120000>;
      constant-charge-voltage-max-microvolt = <4350000>;
    };

    pmic {
      #address-cells = <1>;
      #size-cells = <0>;

      battery@a00 {
        compatible = "sprd,sc2731-charger";
        reg = <0x0>;
        phys = <&ssphy>;
        monitored-battery = <&bat>;
      };
    };
